package org.amse.byBedrosova.go.model;

import java.util.List;

/**
 *    
 */
public interface IGame {
	/**
	 * ,    
	 * @return   
	 */
	IBoard getBoard ();
	
	/**
	 * ,     
	 * @return    ,     
	 */
	GoColor getCurrentPlayer ();
		
	/**
	 * ,     
	 */
	void changeCurrentPlayer ();	
	
	/**
	 * ,     
	 * @param color 
	 */
	void setCurrentPlayer (GoColor color);
	
	/**
	 * , ,        
	 * @param vertical  
	 * @param horizontal  
	 * @return true,   ,  - false
	 */
	boolean canDoMove (int vertical, int horizontal);	
	
	/**
	 * ,      ,   ,
	 *     ,      ,
	 *   
	 * @param vertical  
	 * @param horizontal  
	 */	
	void doMove (int vertical, int horizontal);
	
	/**
	 * , ,      
	 * @return true,   ,  - false
	 */
	boolean canUndoMove ();
	
	/**
	 * ,    
	 */
	void undoMove ();
	
	/**
	 * ,       
	 * @return true,   ,  - false
	 */
	boolean canRedoMove ();

	/**
	 * ,    
	 */
	void redoMove ();

	/**
	 * , ,       
	 * @return true,  ,  - false
	 */
	boolean canPass();
	
	/**
	 * ,       
	 *   
	 */
	void pass();

	/**
	 * ,         
	 * @return true,  ,  - false
	 */
	boolean modified ();
	
	/**
	 * ,       
	 */
	void justSaved ();
	
	/**
	 * ,   ,  ,
	 *          
	 */
	void clear ();
	
	/**
	 * ,    
	 * @return true,   ,  - false 
	 */
	boolean isGameOver ();
	
	/**
	 * ,   
	 * @return   ,   
	 */
	List<IMoveRecord> getGameBuffer ();
	
	/**
	 * ,      
	 * @return  
	 */
	int getBufferCurrentIndex ();
	
	/**
	 * ,     color
	 * @param color  
	 * @return   
	 */
	long getScores (GoColor color);	
}
