package org.amse.byBedrosova.go.textView;
import org.amse.byBedrosova.go.model.*;

public class TextView {
	
	private IBoard myModel;
	
	public TextView (final IBoard model) {
		myModel = model;
	}
	
	public void drawBoard () {
		for (int i = 0; i < myModel.getSize(); i++) {
			for (int j = 0; j < myModel.getSize(); j++) {
				if (myModel.getStone(i, j) != null)
					if (myModel.getStone(i, j).getColor() == GoColor.BLACK)
						System.out.print ('B');
					else
						System.out.print ('W');							
				else
					System.out.print ('_');					
			}
			System.out.println ();			
		}
	}
}
