package org.amse.byBedrosova.go.view;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

@SuppressWarnings("serial")
public class GoRedoAction extends AbstractAction {
	private View myView;
	
	public GoRedoAction (View view) {
		super ("Redo move", View.loadIcon ("/icons/redo.gif"));
		myView = view;
	}

	public void actionPerformed(ActionEvent e) {
		if (!myView.getGame().canRedoMove()) {
			return;
		}
		myView.getGame().redoMove();
		myView.updateAll();
	}
	
	public boolean isEnabled () {
		return myView.getGame().canRedoMove();
	}
}
