package org.amse.byBedrosova.go.view;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

@SuppressWarnings("serial")
public class GoSaveGameAction extends AbstractAction {
	private View myView;
	
	public GoSaveGameAction (View view) {
		super ("Save game...", View.loadIcon ("/icons/save.gif"));
		myView = view;
	}

	public void actionPerformed(ActionEvent e) {
		myView.getPanel().showCursor(false);
		myView.saveDialog();
		myView.getPanel().showCursor(true);
		myView.updateAll();
	}
	
	public boolean isEnabled () {
		return myView.getGame().modified();
	}
}
