package org.amse.byBedrosova.go.model.impl;
import org.amse.byBedrosova.go.model.*;

/**
 * ,       
 */
class Stone implements IStone {

	private GoColor myColor;
	private final int myVertical, myHorizontal;
	
//	-------------------------------------------------------------------------
	public Stone (int vertical, int horizontal, GoColor color) {
		myVertical = vertical;
		myHorizontal = horizontal;
		myColor = color;
	}	
//	-------------------------------------------------------------------------
	public GoColor getColor () {
		return myColor;
	}	
//	-------------------------------------------------------------------------
	public int getVertical () {
		return myVertical;
	}
//	-------------------------------------------------------------------------
	public int getHorizontal () {
		return myHorizontal;
	}	
//	-------------------------------------------------------------------------
	public boolean equals (Object o) {
		if (this == o) {
			return true;
		}
		if (! (o instanceof Stone)) {
			return false;
		}
		Stone stone = (Stone)o;
		return ((myVertical == stone.getVertical()) && (myHorizontal == stone.getHorizontal()) && (myColor == stone.getColor()));
	}
//	-------------------------------------------------------------------------
	public int hashCode () {
		return myVertical + myHorizontal + myColor.hashCode();
	}	
}
