package org.amse.byBedrosova.go.view;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

@SuppressWarnings("serial")
public class GoExitAction extends AbstractAction {
	private View myView;
	
	public GoExitAction (View view) {
		super ("Exit game", View.loadIcon("/icons/exit.gif"));
		myView = view;
	}
	
	public void actionPerformed(ActionEvent e) {
		myView.getPanel().showCursor(false);
		myView.exitDialog();
		myView.getPanel().showCursor(true);		
		myView.updateAll();
	}		
}		
